Bug 915553 - Gparted crashes with certain flash drives
Summary: Gparted crashes with certain flash drives
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gparted
Version: 17
Hardware: i386
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-26 03:56 UTC by Nathan Strack
Modified: 2013-07-20 09:49 UTC (History)
2 users (show)

Fixed In Version: gparted-0.16.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-20 09:42:48 UTC


Attachments (Terms of Use)

Description Nathan Strack 2013-02-26 03:56:38 UTC
Description of problem: Gparted crashes when doing a drive scan if flash drive is plugged in.


Version-Release number of selected component (if applicable): 0.14.1


How reproducible: always


Steps to Reproduce:
1. Start gparted
2. Insert USB drive
3. Re-scan drives
  
Actual results: gparted crashes (/usr/sbin/gparted: line 99:  3647 Segmentation fault      (core dumped) $BASE_CMD)


Expected results: Drive scan to complete; USB drive to become visible


Additional info:  I have not been able to isolate the exact nature of the drive or drive setup that is causing this.  The problematic drive is 8Gb in capacity. I tested it with a 4Gb drive and a 4Gb SD card in the laptop's internal SD slot. Reproducible in all USB ports.  Computer is a Dell Inspiron 1545.  I had updated to gparted-0.14.1-1.fc17 as requested by deji - I was experiencing bug 903366, which is fixed in version 0.14.1.

Comment 1 Curtis Gedak 2013-03-26 16:56:13 UTC
GParted uses the libparted library from the parted project to detect and manipulate partitions.

To test if this problem is in the underlying libparted library, would you be able to run the following command (as root) and let us know what happens?

  parted -l

or if you know the device path (for example /dev/sde)

  parted /dev/sde unit s print

Comment 2 Fedora Update System 2013-06-11 16:36:37 UTC
gparted-0.16.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gparted-0.16.1-2.fc18

Comment 3 Fedora Update System 2013-06-11 16:37:35 UTC
gparted-0.16.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gparted-0.16.1-2.fc19

Comment 4 Fedora Update System 2013-06-11 16:38:26 UTC
gparted-0.16.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gparted-0.16.1-1.fc17

Comment 5 Fedora Update System 2013-06-12 02:37:23 UTC
Package gparted-0.16.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gparted-0.16.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10621/gparted-0.16.1-2.fc18
then log in and leave karma (feedback).

Comment 6 Fedora End Of Life 2013-07-04 07:42:18 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora Update System 2013-07-20 09:42:48 UTC
gparted-0.16.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-07-20 09:48:31 UTC
gparted-0.16.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-07-20 09:49:19 UTC
gparted-0.16.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.